cascading.tuple.hadoop.io

## Class HadoopTupleOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.DataOutputStream
      - - cascading.tuple.io.TupleOutputStream
        - - cascading.tuple.hadoop.io.HadoopTupleOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.lang.AutoCloseable

    public class HadoopTupleOutputStream
    extends TupleOutputStream

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.tuple.io.TupleOutputStream

`TupleOutputStream.ElementWriter, TupleOutputStream.TupleElementWriter`

### Field Summary

Fields
`static int` `WRITABLE_TOKEN` Field WRITABLE_TOKEN

### Fields inherited from class java.io.DataOutputStream

`written`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`HadoopTupleOutputStream(java.io.OutputStream outputStream, TupleOutputStream.ElementWriter elementWriter)`

### Method Summary

Methods
`static TupleOutputStream.TupleElementWriter[]` `getWritersFor(TupleOutputStream.ElementWriter elementWriter, java.lang.Class[] keyClasses)`
`void` `writeIndexTuple(IndexTuple indexTuple)`
`protected void` `writeIntInternal(int value)`

### Methods inherited from class cascading.tuple.io.TupleOutputStream

`close, getWriterFor, writeElement, writeElementArray, writeTuple, writeTuplePair, writeTyped, writeTypedElement, writeUnTyped, writeWith`

### Methods inherited from class java.io.DataOutputStream

`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.DataOutput

`write`

### Field Detail

#### WRITABLE_TOKEN

    public static final int WRITABLE_TOKEN

Field WRITABLE_TOKEN

See Also:
  Constant Field Values

### Constructor Detail

#### HadoopTupleOutputStream

    public HadoopTupleOutputStream(java.io.OutputStream outputStream,
                           TupleOutputStream.ElementWriter elementWriter)

### Method Detail

#### getWritersFor

    public static TupleOutputStream.TupleElementWriter[] getWritersFor(TupleOutputStream.ElementWriter elementWriter,
                                                       java.lang.Class[] keyClasses)

#### writeIntInternal

    protected void writeIntInternal(int value)
                             throws java.io.IOException

Specified by:
  `writeIntInternal` in class `TupleOutputStream`
Throws:
  `java.io.IOException`

#### writeIndexTuple

    public void writeIndexTuple(IndexTuple indexTuple)
                         throws java.io.IOException

Specified by:
  `writeIndexTuple` in class `TupleOutputStream`
Throws:
  `java.io.IOException`